package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.Tag;
import com.lightinit.hsdataplatform.entity.TagExample;
import com.lightinit.hsdataplatform.entity.TagWithBLOBs;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.MainNameAndValue;
import org.apache.ibatis.annotations.Param;

public interface TagMapper {
    long countByExample(TagExample example);

    int deleteByExample(TagExample example);

    int deleteByPrimaryKey(Long id);

    int insert(TagWithBLOBs record);

    int insertSelective(TagWithBLOBs record);

    List<TagWithBLOBs> selectByExampleWithBLOBs(TagExample example);

    List<Tag> selectByExample(TagExample example);

    TagWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") TagWithBLOBs record, @Param("example") TagExample example);

    int updateByExampleWithBLOBs(@Param("record") TagWithBLOBs record, @Param("example") TagExample example);

    int updateByExample(@Param("record") Tag record, @Param("example") TagExample example);

    int updateByPrimaryKeySelective(TagWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(TagWithBLOBs record);

    int updateByPrimaryKey(Tag record);

    List<TagWithBLOBs> getAllTags();

    List<MainNameAndValue> getMains();
}